Commit d3d99193 authored by Antoine Beaupré's avatar Antoine Beaupré

remove apt from dependencies after upstream refuses to update pypi

another attempt at fixing RTD
parent 6a41f614
......@@ -45,15 +45,8 @@ pygments_style = 'sphinx'
html_theme = 'default'
# ignore apt module imports so docs build without it
autodoc_mock_imports = ['apt',
'apt.debfile',
'click',
'click.Path',
'debian',
'lzma',
'humanize',
'humanize.time',
]
# see also https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=845330
autodoc_mock_imports = ['apt', 'apt.debfile' ]
# on_rtd is whether we are on readthedocs.org, this line of code
# grabbed from docs.readthedocs.org
......
......@@ -67,7 +67,6 @@ setup(name="debmans",
'sphinx',
],
install_requires=[
"python-apt",
"click",
"python-debian",
"humanize",
......@@ -80,6 +79,9 @@ setup(name="debmans",
"tox",
"pyflakes",
],
"debian": [
"python-apt", # upstream refuses to update PyPI: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=845330
],
},
tests_require=['pytest'],
classifiers=[
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment